Payout (Asynchronous)
Initiate an asynchronous payout to send funds to a cardholder. A webhook will be sent to the specified notificationUrl once processed. *We recommend a minimum timeout of 5 seconds.*
Authorization
BearerAuth In: header
Header Parameters
Ensures that a request can be safely retried without causing duplicate operations. Typically used for actions like payment creation and operations such as refund and void to prevent accidental double processing. - If a response is replayed due to using the same key, the response will include the header `Idempotent-Replayed: true`. - Idempotency keys are scoped by **[Key, Endpoint, HTTP Verb]**; the same key on a different endpoint or method will not replay the original response. - Responses are cached for **24 hours**. After that, the cache is cleared, so idempotency is only guaranteed within 24 hours of the initial request.
Request Body
application/json
Payout request payload.
TypeScript Definitions
Use the request body type in TypeScript.
UUID of the Point of Sale to debit from; must belong to your account.
uuid"0192473a-e381-705c-b61c-fc2ac9624afc"Amount in minor units (e.g., 1095 = 10.95 DKK). Must be >= 1.
1 <= value1000ISO 4217 alpha-3 currency, e.g., “DKK”.
^[A-Z]{3}$"DKK"UUID of a stored payment method eligible for payouts.
uuid"01924756-d1f6-738d-8040-90d76cedf01f"Merchant reference for reconciliation; should be unique per payout when possible. Defaults to the ePay transaction id.
"payout-1"Descriptor shown on recipient’s statement; acquirer limits may apply (e.g., 22 chars).
1 <= length <= 39"Prize money"**DEPRECATED:** *This parameter will soon be removed and will no longer have any effect. The functionality has been replaced by routing rules in the ePay back office.* List of permitted processors; order is priority fallback. Values: shift4, clearhaus, nets.
[
"shift4",
"clearhaus"
]Identifier of a payment processor. This value determines which payment gateway(s) are used to process a payment.
"shift4""clearhaus""nets""worldline"Pass-through key-value pairs returned in webhooks; recommend max combined size (e.g., 1 KB) and ASCII/UTF-8 guidance.
{
"key1": "value1",
"key2": "value2"
}Recipient name; used for compliance and risk.
"Morten"Recipient name; used for compliance and risk.
"Thomassen"IPv4/IPv6 address of the client initiating the payout request; used for fraud/risk.
"118.249.219.99"The birthdate of the recipient. YYYY-MM-DD; required by some payout methods;
^\d{4}-\d{2}-\d{2}$"1970-01-01"Webhook target for payout result. This endpoint will be called once the transaction is fully processed.
uriResponse Body
application/json
application/json
application/json
application/json
List Operations
Retrieve a paginated list of transaction operations. Query parameters page and perPage can be used to control pagination. finalizedBefore and finalizedAfter can be sent to only get operations finalized between certain timeframes. pointOfSaleId can be used to limit the operations to a list of points of sale. The endpoint only returns operations in a finalized state of FAILED or SUCCESS.
Payout (Synchronous)
Initiate a synchronous payout to send funds to a cardholder. Synchronous payouts require explicit approval from ePay. We recommend a minimum timeout of 60 seconds.